%define upv ee4f384c7ec84a89ce9b729a39fab19ae839342b
%define debug_package %{nil}

Name:		spiped
Version:	1.6.git.20160201
Release:	2%{?dist}
Summary:	Spiped is a utility for creating symmetrically encrypted and authenticated pipes between socket addresses.

Group:		Daemons
License:	BSD
URL:		http://www.tarsnap.com/spiped.html
Source0:	https://github.com/Tarsnap/%{name}/archive/%{upv}/%{name}-%{upv}.tar.gz
Source1:	%{name}.init
Source2:	%{name}.sysconfig

BuildRequires:  make openssl-devel
Requires:	openssl

%description
spiped (pronounced "ess-pipe-dee") is a utility for creating symmetrically encrypted and authenticated pipes between socket addresses, so that one may connect to one address (e.g., a UNIX socket on localhost) and transparently have a connection established to another address (e.g., a UNIX socket on a different system). This is similar to ssh -L functionality, but does not use SSH and requires a pre-shared symmetric key.

%prep
%setup -q -n %{name}-%{upv}


%build
make %{?_smp_mflags}


%install
mkdir -p %{buildroot}/%{_mandir}/man1
make BINDIR=%{buildroot}%{_bindir} MAN1DIR=%{buildroot}%{_mandir}/man1 install
install -p -D -m 644 %_sourcedir/%{name}.sysconfig %{buildroot}%{_sysconfdir}/sysconfig/%{name}
install -p -D -m 755 %_sourcedir/%{name}.init %{buildroot}%{_sysconfdir}/init.d/%{name}
install -d -m 755 %{buildroot}%{_localstatedir}/run/%{name}


%pre
getent group %{name} &> /dev/null || groupadd -r %{name} &> /dev/null
getent passwd %{name} &> /dev/null || \
useradd -r -g %{name} -d %{_localstatedir}/run/%{name} -s /sbin/nologin \
        -c '%{name}'  %{name} &> /dev/null

%preun
/sbin/service %{name} stop &> /dev/null
/sbin/chkconfig --del %{name} &> /dev/null
userdel %{name}

%files
%defattr(-,root,root,-)
%config(noreplace) %{_sysconfdir}/sysconfig/%{name}
%{_sysconfdir}/init.d/%{name}
%{_bindir}/spipe
%{_bindir}/spiped
%{_mandir}/man1/spipe.1.gz
%{_mandir}/man1/spiped.1.gz
%attr(0755, %{name}, root) %{_localstatedir}/run/%{name}


%changelog
* Wed Feb 3 2016  Jonas Svatos  <jonas.svatos@etnetera.cz>
- Add init scipt, run as separate user, minor corrections.

* Mon Feb 1 2016  Jonas Svatos  <jonas.svatos@etnetera.cz>
- Initial upstream release.

